## magnum 8.0.0~rc1

=== debian/changelog ===
magnum (8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * d/watch: Update uversionmangle to handle rc's etc.
  * New upstream release for OpenStack Stein.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 09:25:35 -0400

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools (>= 24.0.0),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools (>= 24.0.0),
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bandit,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-decorator (>= 3.4.0),
 python3-doc8 (>= 0.6.0),
 python3-docker (>= 2.4.2),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 0.12.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.19+really1.16),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kubernetes (>= 5.0.0),
 python3-marathon (>= 0.8.6),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.6.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-pecan (>= 1.0.0),
 python3-pep8,
 python3-pycadf (>= 1.1.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-taskflow (>= 2.16.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.12),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
Homepage: https://github.com/openstack/magnum
Testsuite: autopkgtest-pkg-python

Package: magnum-api
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 2.1),
 python3-decorator (>= 3.4.0),
 python3-docker (>= 2.4.2),
 python3-eventlet (>= 0.18.2),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.19+really1.16),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kubernetes (>= 5.0.0),
 python3-marathon (>= 0.8.6),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.0.0),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-setuptools (>= 24.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1:1.7.1),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - Python 3 library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python 3 code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_clean:
	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.config
	pkgos-merge-templates magnum-api magnum endpoint
	pkgos-merge-templates magnum-common magnum db rabbit ksat

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-magnum/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

	dh_install --fail-missing
	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	PYTHONPATH=$(CURDIR)/debian/python3-magnum/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \
		--namespace magnum.conf \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_concurrency lock_path /var/lock/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_protocol http

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python3/dist-packages/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT bindir /usr/bin
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lib/magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf api host 0.0.0.0

	PYTHONPATH=$(CURDIR)/debian/python3-magnum/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/policy.json \
		--format json \
		--namespace magnum

	cp etc/magnum/api-paste.ini $(CURDIR)/debian/magnum-common/usr/share/magnum-common


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
http://tarballs.openstack.org/magnum magnum-(\d.*)\.tar\.gz

## magnum 8.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Despite above warning added by global sync process, please use
# ascii betical order.

Babel!=2.4.0,>=2.3.4 # BSD
PyYAML>=3.12 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
WSME>=0.8.0 # MIT
WebOb>=1.7.1 # MIT
alembic>=0.8.10 # MIT
cliff!=2.9.0,>=2.8.0 # Apache-2.0
decorator>=3.4.0 # BSD
docker>=2.4.2 # Apache-2.0
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
iso8601>=0.1.11 # MIT
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
kubernetes>=5.0.0 # Apache-2.0
marathon!=0.9.1,>=0.8.6 # MIT
netaddr>=0.7.18 # BSD
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
python-barbicanclient>=4.5.2 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-heatclient>=1.10.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-octaviaclient>=1.6.0 # Apache-2.0
requests>=2.14.2 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
cryptography>=2.1 # BSD/Apache-2.0
Werkzeug>=0.9 # BSD License

=== debian/changelog ===
magnum (8.0.0-0ubuntu1) disco; urgency=medium

  * d/watch: Track 8.x series.
  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:12:56 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
http://tarballs.openstack.org/magnum magnum-(8\.\d.*)\.tar\.gz

## magnum 9.0.0~b1~git2019061411.3217e75b

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
reno>=2.5.0 # Apache-2.0

## magnum 9.0.0~rc1

=== debian/changelog ===
magnum (9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/p/skip-tests-py3.patch: Dropped. No longer needed.
  * d/watch: Track 9.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 15:31:14 -0400

magnum (9.0.0~b2~git2019073018.2d9e0587-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/rules: fix the binary name that generates sample config file
  * d/rules: fix the binary name that generates sample policy file

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 30 Jul 2019 18:29:07 +0200

magnum (9.0.0~b1~git2019061411.3217e75b-0ubuntu2) eoan; urgency=medium

  * New upstream release 9.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests-py3.patch: Refreshed.
  * d/rules: Fix binary name used to generate config file.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 19 Jun 2019 11:11:23 +0100

## magnum 9.0.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
magnum (9.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:30:57 +0100

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,10 @@
  bandit,
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
+ python3-bandit (>= 1.1.0),
  python3-barbicanclient (>= 4.5.2),
+ python3-bashate (>= 0.5.1),
+ python3-cinderclient (>= 1:2.2.0),
  python3-cliff (>= 2.8.0),
  python3-coverage (>= 4.0),
  python3-cryptography (>= 2.1),
@@ -35,7 +38,7 @@
  python3-hacking (>= 0.12.0),
  python3-heatclient (>= 1.10.0),
  python3-iso8601 (>= 0.1.11),
- python3-jsonpatch (>= 1.19+really1.16),
+ python3-jsonpatch (>= 1.16),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
@@ -46,7 +49,7 @@
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
  python3-octaviaclient (>= 1.6.0),
- python3-openstackdocstheme (>= 1.18.1),
+ python3-openstackdocstheme (>= 1.20.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -61,7 +64,7 @@
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
- python3-oslo.upgradecheck,
+ python3-oslo.upgradecheck (>= 0.1.1),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-oslotest (>= 1:3.2.0),
@@ -160,6 +163,7 @@
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
  python3-barbicanclient (>= 4.5.2),
+ python3-cinderclient (>= 1:2.2.0),
  python3-cliff (>= 2.8.0),
  python3-cryptography (>= 2.1),
  python3-decorator (>= 3.4.0),
@@ -168,7 +172,7 @@
  python3-glanceclient (>= 1:2.8.0),
  python3-heatclient (>= 1.10.0),
  python3-iso8601 (>= 0.1.11),
- python3-jsonpatch (>= 1.19+really1.16),
+ python3-jsonpatch (>= 1.16),
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
@@ -177,6 +181,7 @@
  python3-netaddr (>= 0.7.18),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:9.1.0),
+ python3-octaviaclient (>= 1.6.0),
  python3-openstackclient,
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
@@ -190,6 +195,7 @@
  python3-oslo.reports (>= 1.18.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
+ python3-oslo.upgradecheck (>= 0.1.1),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-pbr (>= 2.0.0),

## magnum 9.2.0

=== requirements.txt ===
--- 
+++ 
@@ -42,6 +42,7 @@
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
 python-barbicanclient>=4.5.2 # Apache-2.0
+python-cinderclient>=2.2.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
 python-heatclient>=1.10.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0

=== debian/changelog ===
magnum (9.2.0-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 27 Jan 2020 13:42:29 +0100

magnum (9.1.0-2) unstable; urgency=medium

  * Rebuild with newer openstack-pkg-tools

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 17 Dec 2019 12:50:50 +0100

magnum (9.1.0-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Dec 2019 09:42:17 +0100

magnum (9.0.0-3) unstable; urgency=medium

  * Modify Cinder and Trustee configuration only if requested through debconf.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Oct 2019 17:08:10 +0100

magnum (9.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Run wrap-and-sort -bastk.
  * d/changelog: Remove trailing whitespaces.

  [ Michal Arbet ]
  * Add keystone_auth support debconf.
  * /etc/magnum/magnum.conf [trust]:
   - set cluster_user_trust = true by default.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 21 Oct 2019 15:15:27 +0200

magnum (9.0.0-1) experimental; urgency=medium

  * Cosmetic fix of init message.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 18:28:03 +0200

magnum (9.0.0~rc1-3) experimental; urgency=medium

  * Add /etc/magnum/keystone_auth_default_policy.json

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 07 Oct 2019 18:38:12 +0200

magnum (9.0.0~rc1-2) experimental; urgency=medium

  * d/copyright: Update copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 30 Sep 2019 10:54:04 +0200

magnum (9.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/changelog: Remove trailing whitespaces.

  [ Michal Arbet ]
  * New upstream release.
  * d/patches/revert-magnum-proxy-patch.patch:
    - Remove as it is already applied in upstream

  [ Thomas Goirand ]
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 28 Sep 2019 23:38:37 +0200

magnum (8.0.0-3) unstable; urgency=medium

  * Switch magnum-api to uwsgi.
  * Fixed pybasedir and state_path to correct values.
  * Add revert-magnum-proxy-patch.patch.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 16 May 2019 09:05:48 +0200

magnum (8.0.0-2) experimental; urgency=medium

  * d/control: Bump openstack-pkg-tools to version 99
  * d/copyright: Update year in my line

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 12:22:39 +0200

magnum (8.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:45:54 +0200

magnum (8.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed package versions when satisfied in Buster.
  * Added python3-upgradecheck.
  * Removed fix-py3-compatibility.patch applied upstream.
  * Do not use the python3- prefix when calling config generators.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 22:51:08 +0100

magnum (7.1.0-2) unstable; urgency=medium

  * Fix magnum-common.postinst.in (Closes: #924967)

 -- Michal Arbet <michal.arbet@ultimum.io>  Tue, 19 Mar 2019 10:41:03 +0100

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bandit,
 python3-babel,
 python3-barbicanclient,
 python3-cinderclient,
 python3-cliff,
 python3-coverage,
 python3-cryptography,
 python3-decorator,
 python3-doc8,
 python3-docker,
 python3-eventlet,
 python3-fixtures,
 python3-glanceclient,
 python3-hacking,
 python3-heatclient,
 python3-iso8601,
 python3-jsonpatch,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kubernetes,
 python3-marathon,
 python3-mock,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref,
 python3-os-testr,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-pep8,
 python3-pycadf,
 python3-requests,
 python3-six,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-webob,
 python3-werkzeug,
 python3-wsme,
 python3-yaml,
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/services/magnum
Vcs-Git: https://salsa.debian.org/openstack-team/services/magnum.git
Homepage: https://github.com/openstack/magnum

Package: magnum-api
Architecture: all
Depends:
 adduser,
 debconf,
 magnum-common (= ${binary:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic,
 python3-babel,
 python3-barbicanclient,
 python3-cinderclient,
 python3-cliff,
 python3-cryptography,
 python3-decorator,
 python3-docker,
 python3-eventlet,
 python3-glanceclient,
 python3-heatclient,
 python3-iso8601,
 python3-jsonpatch,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-kubernetes,
 python3-marathon,
 python3-netaddr,
 python3-neutronclient,
 python3-novaclient,
 python3-octaviaclient,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-pecan,
 python3-pycadf,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-taskflow,
 python3-webob,
 python3-werkzeug,
 python3-wsme,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-magnum,
Description: OpenStack containers as a service - Python library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python code.

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc
 
 override_dh_clean:
+	dh_clean
 	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
 	rm -rf debian/*.upstart debian/*.service debian/*.init
 
@@ -27,16 +28,24 @@
 	pkgos-merge-templates magnum-common magnum db rabbit ksat
 
 override_dh_install:
-	pkgos-dh_auto_install --no-py2
-	rm -rf $(CURDIR)/debian/python3-magnum/usr/etc
+	for i in $(PYTHON3S) ; do \
+		python$$i setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
+	done
+	rm -rf $(CURDIR)/debian/tmp/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2
+	# See https://storyboard.openstack.org/#!/story/2003565
+	# to follow-up on failed tests in Sid (works in Stretch)
+	pkgos-dh_auto_test --no-py2 'magnum\.tests\.unit(?!(.*drivers\.test_heat_driver\.TestHeatPoller\.test_poll_done.*|.*drivers\.test_heat_driver\.TestHeatPoller\.test_poll_destroy.*))'
 endif
+
+#	mkdir -p $(CURDIR)/debian/python3-magnum/usr/bin
+#	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/magnum/api/app.wsgi $(CURDIR)/debian/python3-magnum/usr/bin/magnum-api-wsgi
+#	chmod +x $(CURDIR)/debian/python3-magnum/usr/bin/magnum-api-wsgi
 
 	dh_install --fail-missing
 	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
-	PYTHONPATH=$(CURDIR)/debian/python3-magnum/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \
 		--namespace magnum.conf \
 		--namespace oslo.concurrency \
@@ -53,19 +62,36 @@
 	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_concurrency lock_path /var/lock/magnum
 	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_protocol http
 
-	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python3/dist-packages/magnum
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python3/dist-packages
 	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT bindir /usr/bin
-	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lib/magnum
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lock/magnum
 
 	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf api host 0.0.0.0
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf certificates cert_manager_type barbican
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_messaging_notifications driver messaging
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_version v3
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf trust cluster_user_trust true
 
-	PYTHONPATH=$(CURDIR)/debian/python3-magnum/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	# Magnum using also keystone_auth, set some defaults
+	# which are configured by debconf later
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_protocol http
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_version v3
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_url http://localhost:5000
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth www_authenticate_uri http://localhost:5000
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth project_name service
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth project_domain_name default
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth username magnum
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth user_domain_name default
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth region_name regionOne
+	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_auth auth_type password
+
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/policy.json \
 		--format json \
 		--namespace magnum
 
 	cp etc/magnum/api-paste.ini $(CURDIR)/debian/magnum-common/usr/share/magnum-common
-
+	cp etc/magnum/keystone_auth_default_policy.sample $(CURDIR)/debian/magnum-common/usr/share/magnum-common/keystone_auth_default_policy.json
 
 override_dh_python3:
 	dh_python3 --shebang=/usr/bin/python3

## magnum 10.0.0~b2~git2020020609.16ea8b63

=== doc/requirements.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 openstackdocstheme>=1.20.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0
 os-api-ref>=1.4.0 # Apache-2.0
-sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4' # BSD
-sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
+sphinx>=1.8.0,!=2.1.0;python_version>='3.4' # BSD
+sphinx>=1.8.0,<2.0.0;python_version=='2.7' # BSD
 reno>=2.5.0 # Apache-2.0

=== debian/changelog ===
magnum (10.0.0~b2~git2020020609.16ea8b63-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 10:47:01 +0100

## magnum 10.0.0~b3~git2020032617.ce70da25

=== debian/changelog ===
magnum (10.0.0~b3~git2020032617.ce70da25-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/magnum-common.postinst.in: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 17:03:20 -0400

## magnum 10.0.0~b3~git2020041013.01629398

=== debian/changelog ===
magnum (10.0.0~b3~git2020041013.01629398-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/magnum-common.postinst.in: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:09:25 -0400

=== debian/control ===
Source: magnum
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools (>= 24.0.0),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools (>= 24.0.0),
 python3-sphinx (>= 1.8.0),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 bandit,
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-barbicanclient (>= 4.5.2),
 python3-bashate (>= 0.5.1),
 python3-cinderclient (>= 1:2.2.0),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-decorator (>= 3.4.0),
 python3-doc8 (>= 0.6.0),
 python3-docker (>= 2.4.2),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 0.12.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kubernetes (>= 5.0.0),
 python3-marathon (>= 0.8.6),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.6.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-pecan (>= 1.0.0),
 python3-pep8,
 python3-pycadf (>= 1.1.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-taskflow (>= 2.16.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.12),
 subunit,
 testrepository,
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/magnum
Homepage: https://github.com/openstack/magnum
Testsuite: autopkgtest-pkg-python

Package: magnum-api
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the API server.

Package: magnum-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-magnum (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack containers as a service - API server
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains common files for the engine and the conductor.

Package: magnum-conductor
Architecture: all
Depends:
 adduser,
 magnum-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack containers as a service - conductor
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the conductor server.

Package: python3-magnum
Section: python
Architecture: all
Depends:
 alembic (>= 0.8.10),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-barbicanclient (>= 4.5.2),
 python3-cinderclient (>= 1:2.2.0),
 python3-cliff (>= 2.8.0),
 python3-cryptography (>= 2.1),
 python3-decorator (>= 3.4.0),
 python3-docker (>= 2.4.2),
 python3-eventlet (>= 0.18.2),
 python3-glanceclient (>= 1:2.8.0),
 python3-heatclient (>= 1.10.0),
 python3-iso8601 (>= 0.1.11),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-kubernetes (>= 5.0.0),
 python3-marathon (>= 0.8.6),
 python3-netaddr (>= 0.7.18),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:9.1.0),
 python3-octaviaclient (>= 1.6.0),
 python3-openstackclient,
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.0.0),
 python3-pycadf (>= 1.1.0),
 python3-requests (>= 2.14.2),
 python3-setuptools (>= 24.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-webob (>= 1:1.7.1),
 python3-werkzeug (>= 0.9),
 python3-wsme (>= 0.8.0),
 python3-yaml (>= 3.12),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack containers as a service - Python 3 library
 Magnum is an OpenStack project which offers container orchestration engines
 for deploying and managing containers as first class resources in OpenStack.
 It features:
  * Abstractions for bays, containers, nodes, pods, replication controllers,
    and services
  * Integration with Kubernetes and Docker for backend container technology
  * Integration with Keystone for multi-tenant security
  * Integration with Neutron for Kubernetes multi-tenancy network security
 .
 This package contains the Python 3 code.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_clean:
	rm -f debian/magnum-common.config debian/magnum-common.postinst debian/magnum-api.config debian/magnum-api.postinst
	rm -rf debian/*.upstart debian/*.service debian/*.init

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func magnum-api.config
	pkgos-merge-templates magnum-api magnum endpoint
	pkgos-merge-templates magnum-common magnum db rabbit ksat

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-magnum/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

	dh_install --fail-missing
	mkdir -p $(CURDIR)/debian/magnum-common/usr/share/magnum-common
	PYTHONPATH=$(CURDIR)/debian/python3-magnum/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf \
		--namespace magnum.conf \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf oslo_concurrency lock_path /var/lock/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf keystone_authtoken auth_protocol http

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT pybasedir /usr/lib/python3/dist-packages/magnum
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT bindir /usr/bin
	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf DEFAULT state_path /var/lib/magnum

	pkgos-fix-config-default $(CURDIR)/debian/magnum-common/usr/share/magnum-common/magnum.conf api host 0.0.0.0

	PYTHONPATH=$(CURDIR)/debian/python3-magnum/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/magnum-common/usr/share/magnum-common/policy.json \
		--format json \
		--namespace magnum

	cp etc/magnum/api-paste.ini $(CURDIR)/debian/magnum-common/usr/share/magnum-common


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
http://tarballs.openstack.org/magnum magnum-(9\.\d.*)\.tar\.gz

## magnum 10.0.0

=== debian/changelog ===
magnum (10.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/728010. This fixes service failures
    with Python 3.8 (LP: #1863021).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 10:11:58 +0000
